//
//  render.fsh
//

uniform sampler2D y_tex;
uniform sampler2D u_tex;
uniform sampler2D v_tex;

uniform highp mat3 yuv2rgb;
varying highp vec2 _texcoord;

void main()
{
    highp float y = texture2D(y_tex, _texcoord).x;
    highp float u = texture2D(u_tex, _texcoord).r - .5;
    highp float v = texture2D(v_tex, _texcoord).r - .5;
    highp vec3 rgb = yuv2rgb * vec3(y, u, v);
    gl_FragColor = vec4(rgb, 1);
}
